{ pkgs, ... }:
{
	imports = [./desktop.nix];

	systemd.network.networks.wifi = {
		matchConfig = {
			Name = "wlan0";
			SSID = "!HotoHo-v6";
		};
		DHCP = "ipv4";
		networkConfig = {
			IPv6AcceptRA = true;
			IPv6PrivacyExtensions = true;
		};
	};
	systemd.network.networks.wifi-v6 = {
		matchConfig = {
			Name = "wlan0";
			SSID = "HotoHo-v6";
		};
		networkConfig = {
			DNSSEC = false;
			IPv6AcceptRA = true;
			IPv6PrivacyExtensions = true;
		};
	};
	systemd.network.networks.eth = {
		matchConfig.Name = "enp*";
		DHCP = "ipv4";
		networkConfig = {
			IPv6AcceptRA = true;
			IPv6PrivacyExtensions = true;
		};
	};

	programs.sway = {
		enable = true;
		wrapperFeatures = { gtk = true; };
		extraPackages = with pkgs; [
			alacritty
			swayidle
			swaylock-effects
			mako
			bemenu
			# - bar
			i3blocks
			acpi
			lm_sensors
			# - tools
			wl-clipboard
			wdisplays
			ponymix
			brightnessctl
			gammastep
			grim
			slurp
		];
	};

	xdg.portal.wlr = {
		enable = true;
		settings.screencast = {
			chooser_type = "simple";
			chooser_cmd = "${pkgs.slurp}/bin/slurp -f %o -or";
		};
	};

	# done my sway:
	#  security.pam.services.swaylock = {};
	#  hardware.opengl.enable = true;
	#  fonts.enableDefaultFonts = true;
	#  programs.dconf.enable = true; # gtk theme

	# services.acpid.enable = true;
}
